summaryrefslogtreecommitdiff
path: root/git/commit.sh
diff options
context:
space:
mode:
Diffstat (limited to 'git/commit.sh')
-rwxr-xr-xgit/commit.sh58
1 files changed, 0 insertions, 58 deletions
diff --git a/git/commit.sh b/git/commit.sh
deleted file mode 100755
index aa96c8c..0000000
--- a/git/commit.sh
+++ /dev/null
@@ -1,58 +0,0 @@
-#! /bin/sh
-
-# Assume this script never run via PATH.
-#
-self=`realpath $0`
-. `dirname $self`/modules
-
-wd=`pwd`
-
-if [ "$1" = "-i" ]; then
- add=n
-else
- add=y
-fi
-
-if [ "$EDITOR" = "" ]; then
- echo "no editor specified with the EDITOR variable" 1>&2
- exit 1
-fi
-
-msg_file=`mktemp -p /tmp`
-$EDITOR "$msg_file"
-
-if [ $? -ne 0 ]; then
- echo "$EDITOR failed" 1>&2
- rm -f $msg_file
- exit 1
-fi
-
-if test ! -s "$msg_file"; then
- echo "commit message is empty" 1>&2
- rm -f $msg_file
- exit 1
-fi
-
-for i in $modules; do
- echo "commit $i" 1>&2
- cd $i
- if [ "$add" = "y" ]; then
- git add .
-
- if [ $? -ne 0 ]; then
- echo "add FAILED" 1>&2
- exit 1
- fi
-
- fi
- git commit -F $msg_file
-
-# if [ $? -ne 0 ]; then
-# echo "commit FAILED" 1>&2
-# exit 1
-# fi
-
- cd $wd
-done
-
-rm -f $msg_file